-- Duct tape functions to give us temporary access to the FS for the bootstrap build
-- Supports only linux

local fs = {};

function fs.is_file(dir)
	return os.execute("test -f " .. ("%q"):format(dir)) or false;
end
function fs.is_dir(dir)
	return os.execute("test -d " .. ("%q"):format(dir)) or false;
end

function fs.readdir(dir)
	if not fs.is_dir(dir) then
		return nil, "not a directory";
	end

	local res, err = io.popen("ls " .. ("%q/"):format(dir));
	if not res then return nil, err end

	return res:lines("l");
end
function fs.mkdir(dir, recursive)
	if recursive then
		assert(os.execute("mkdir -p " .. ("%q"):format(dir)));
	else
		assert(os.execute("mkdir " .. ("%q"):format(dir)));
	end
end

return fs;
